Catalog items
Retrieve a catalog item
Scope: catalog:read
Authorization
bearerAuth AuthorizationBearer <token>
Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer admp_...
In: header
Path Parameters
catalog_item_id*catalog_item_id
Unique identifier of the catalog item (UUID).
Format
uuidResponse Body
application/json
curl -X GET "https://api.admiral.io/api/v1/catalog-items/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "catalog_item": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "type": "CATALOG_ITEM_TYPE_UNSPECIFIED", "source_id": "ae50a35c-df42-4eff-ba26-f8bc28d2af81", "ref": "string", "root": "string", "path": "string", "labels": { "property1": "string", "property2": "string" }, "source_name": "string", "created_by": { "id": "string", "display_name": "string", "email": "string" }, "created_at": "2023-01-15T01:30:15.01Z", "updated_at": "2023-01-15T01:30:15.01Z" }}